package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.QueryConfig;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.QueryConfigMapper")
public interface QueryConfigMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(QueryConfig record);

    QueryConfig selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(QueryConfig record);

    List<QueryConfig> queryAllQueryConfig(QueryConfig record);

    List<QueryConfig> queryQueryConfigByPage(Map<String, Object> parameter);

    int delete(String id);

    QueryConfig queryQueryConfig(QueryConfig record);

    List<QueryConfig> query(QueryConfig record);
}

